#{extends 'borderNG.html' /}
<div class="content">
    <ol class="breadcrumb" style="background-color: #d9534f !important;">
        <li><a href="@{BerandaCtr.index()}">Beranda</a></li>
        <li><a href="@{swakelola.SwakelolaCtr.view(swakelola.lls_id)}">View Swakelola</a></li>
        <li class="active">Jenis Dokumen</li>
    </ol>
#{alert /}

    <table class="table table-sm">
        <tr>
            <td width="300" >Jenis Realisasi</td>
            <td>
                ${models.nonlelang.JenisRealisasiSwakelola.JenisRealisasiSwakelolaEnum.fromValue(jenisRealisasiSwakelola.rsk_jenis).label}
            </td>
        </tr>
        #{if jenisRealisasiSwakelola?.rsk_jenis == 7}
            <tr>
                <td width="300" >Nama Dokumen</td>
                <td>
                    ${jenisRealisasiSwakelola?.rsk_nama_dok}
                </td>
            </tr>
        #{/if}
        <tr>
            <td>Penyedia</td>
        #{if jenisRealisasiSwakelola?.is_penyedia}
            <td>
                <div class="card card-info" id="panel-penyedia">

                    <table class="table table-sm table-bordered">
                        <thead>
                        <tr>
                            <th width="5">No</th>
                            <th>Nama Perusahaan</th>
                            <th>NPWP</th>
                            <th>Email</th>
                            <th>Telp</th>
                            <th>Alamat</th>
                        </tr>
                        </thead>
                        <tbody>
                            #{list items:realisasiPenyediaSwakelolaList, as:'realiasiPenyediaSwakelola'}
                            <tr>
                                <td>${realiasiPenyediaSwakelola_index}</td>
                                <td>${realiasiPenyediaSwakelola.rp_nama_rekanan}</td>
                                <td>${realiasiPenyediaSwakelola.rp_npwp_rekanan}</td>
                                <td>${realiasiPenyediaSwakelola.rp_email_rekanan}</td>
                                <td>${realiasiPenyediaSwakelola.rp_telp_rekanan}</td>
                                <td>${realiasiPenyediaSwakelola.rp_alamat_rekanan}</td>
                            </tr>
                            #{/list}
                        </tbody>
                    </table>
                </div>
            </td>
        #{/if}
        #{else}
            <td>
                <div class="card card-danger" id="panel-nonpenyedia">

                    <table class="table table-sm table-bordered">
                        <thead>
                        <tr>
                            <th width="5">No</th>
                            <th>Nama Perusahaan</th>
                            <th>NPWP</th>
                            <th>Email</th>
                            <th>Telp</th>
                            <th>Alamat</th>
                        </tr>
                        </thead>
                        <tbody>
                            #{list items:realisasiNonPenyediaSwakelolaList, as:'realiasiPenyediaSwakelola'}
                            <tr>
                                <td>${realiasiPenyediaSwakelola_index}</td>
                                <td>${realiasiPenyediaSwakelola.rn_nama_rekanan}</td>
                                <td>${realiasiPenyediaSwakelola.rn_npwp_rekanan}</td>
                                <td>${realiasiPenyediaSwakelola.rn_email_rekanan}</td>
                                <td>${realiasiPenyediaSwakelola.rn_telp_rekanan}</td>
                                <td>${realiasiPenyediaSwakelola.rn_alamat_rekanan}</td>

                            </tr>
                            #{/list}
                        </tbody>
                    </table>
                </div>
            </td>
        #{/else}
        </tr>
        <tr>
            <td width="300" >Nomor Dokumen</td>
            <td>
            ${jenisRealisasiSwakelola?.rsk_nomor}
            </td>
        </tr>
        <tr>
            <td width="300" >Nilai Realisasi  </td>
            <td>
            ${jenisRealisasiSwakelola?.rsk_nilai?.rupiah()}
            </td>
        </tr>
        <tr>
            <td >Tanggal Realisasi</td>
            <td>
            ${jenisRealisasiSwakelola?.rsk_tanggal?.toDatepicker()}
            </td>
        </tr>
        <tr>
            <td width="300" >File upload </td>
            <td>
            #{if jenisRealisasiSwakelola?.rsk_id_attachment}
                <input type=hidden name="jenisRealisasiSwakelola.rsk_id_attachment" value="${jenisRealisasiSwakelola?.rsk_id_attachment}" />
                <div>
                    <a href="${jenisRealisasiSwakelola?.getBlob()?.getDownloadUrl()}">${jenisRealisasiSwakelola?.getBlob()?.getFileName()}</a>
                </div>
            #{/if}
            </td>
        </tr>
        <tr>
            <td width="300" >Keterangan </td>
            <td>
            ${jenisRealisasiSwakelola?.rsk_keterangan}
            </td>
        </tr>
        <tr>
            <td colspan="2">
                <a href="@{swakelola.SwakelolaCtr.view(swakelola.lls_id)}" class="btn btn-secondary">Kembali</button>
            </td>
        </tr>
    </table>
</div>

#{set 'custom_script'}
<script>
    $(document).on('click', '.removeBtn', function() {
        $(this).parent().remove();
    });
</script>
#{/set}